Package com.avaya.clientservices.call

## Class VideoStatistics

- java.lang.Object
- - com.avaya.clientservices.call.VideoStatistics

- Direct Known Subclasses:
    `VideoTransmitStatistics`

      public class VideoStatistics
      extends java.lang.Object

  Represents detailed statistics of a video call.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoStatistics()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getActualBitRate()` | Actual sent/received bit rate per second.
    `int` | `getActualFrameRate()` | Actual sent/received frame rate in frames per second.
    `long` | `getByteCount()` | Total number of bytes sent/received.
    `int` | `getJitterBufferSizeMillis()` | Actual send/receive side jitter buffer size in milliseconds.
    `long` | `getKeyFrameCount()` | Number of key frames locally requested (receive direction), or remotely requested (send direction).
    `long` | `getPacketCount()` | Total number of packets sent/received.
    `int` | `getPacketLossFraction()` | Fraction of packets lost in transmit/receive direction.
    `int` | `getPacketLossTotal()` | Total number of packets lost in transmit/receive direction.
    `int` | `getResolutionHeight()` | Height of the sent/received video stream.
    `int` | `getResolutionWidth()` | Width of the sent/received video stream.
    `int` | `getTargetBitRate()` | Target sent/received bit rate per second.
    `int` | `getTargetFrameRate()` | Target sent/received frame rate in frames per second.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoStatistics

          public VideoStatistics()

  - ### Method Detail

    - #### getTargetFrameRate

          public int getTargetFrameRate()

      Target sent/received frame rate in frames per second.
      Returns:
        Target sent/received frame rate in frames per second.

    - #### getActualFrameRate

          public int getActualFrameRate()

      Actual sent/received frame rate in frames per second.
      Returns:
        actual sent/received frame rate in frames per second.

    - #### getResolutionWidth

          public int getResolutionWidth()

      Width of the sent/received video stream.
      Returns:
        width of the sent/received video stream.

    - #### getResolutionHeight

          public int getResolutionHeight()

      Height of the sent/received video stream.
      Returns:
        height of the sent/received video stream.

    - #### getJitterBufferSizeMillis

          public int getJitterBufferSizeMillis()

      Actual send/receive side jitter buffer size in milliseconds. In VoIP, a jitter buffer is a shared data area where video packets can be collected, stored, and sent to the video processor in evenly spaced intervals. Variations in packet arrival time, called jitter, can occur because of network congestion, timing drift, or route changes. The jitter buffer, which is located at the receiving end of the video connection, intentionally delays the arriving packets so that the end user experiences a clear connection with very little video delays.
      Returns:
        Actual send/receive side jitter buffer size in milliseconds.

    - #### getTargetBitRate

          public int getTargetBitRate()

      Target sent/received bit rate per second.
      Returns:
        target sent/received bit rate per second.

    - #### getActualBitRate

          public int getActualBitRate()

      Actual sent/received bit rate per second.
      Returns:
        actual sent/received bit rate per second.

    - #### getPacketCount

          public long getPacketCount()

      Total number of packets sent/received.
      Returns:
        total number of packets sent/received.

    - #### getByteCount

          public long getByteCount()

      Total number of bytes sent/received.
      Returns:
        total number of bytes sent/received.

    - #### getKeyFrameCount

          public long getKeyFrameCount()

      Number of key frames locally requested (receive direction), or remotely requested (send direction).
      Returns:
        Number of key frames locally requested (receive direction), or remotely requested (send direction).

    - #### getPacketLossTotal

          public int getPacketLossTotal()

      Total number of packets lost in transmit/receive direction.
      Returns:
        total number of packets lost in transmit/receive direction.

    - #### getPacketLossFraction

          public int getPacketLossFraction()

      Fraction of packets lost in transmit/receive direction.
      Returns:
        fraction of packets lost in transmit/receive direction.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`